## Apache Zeta Components Manual :: File Source for route.php

## Source for file route.php

Documentation is available at route.php

1. <?php
2. /**
3. * File containing the ezcMvcRoute class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * The interface that should be implemented by the different route types.
30. * Each route is responsible for checking whether it matches data in the
31. * $request. It also need to support to prefix itself with a route-type
32. * dependent prefix string.
33. *
34. * @package MvcTools
35. * @version //autogentag//
36. */
37. interface ezcMvcRoute
38. {
39. /**
40. * Returns routing information if the route matched, or null in case the
41. * route did not match.
42. *
43. * @param ezcMvcRequest $request
44. * @return null|ezcMvcRoutingInformation
45. */
46. public function matches ( ezcMvcRequest $request );
48. /**
49. * Adds a prefix to the route.
50. *
51. * @param mixed $prefix Prefix to add, for example: '/blog'
52. */
53. public function prefix ( $prefix );
54. }
55. ?>

Documentation generated by phpDocumentor 1.4.3